Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class ListDragSourceListener

    java.lang.Object
      edu.stanford.smi.protege.util.ListDragSourceListener

All Implemented Interfaces:
  DragGestureListener, DragSourceListener, EventListener

    public abstract class ListDragSourceListener

extends Object
implements DragGestureListener, DragSourceListener

A drag source listener for a list box. This implementation has two template methods to delegate the copy or move operation to subclasses.

Author:
  Ray Fergerson

Constructor Summary
`ListDragSourceListener()`

Method Summary
`abstract void` | `doCopy(JComponent c, int[] indexes, Collection objects)`
`abstract void` | `doMove(JComponent c, int[] indexes, Collection objects)`
`void` | `dragDropEnd(DragSourceDropEvent e)`
`void` | `dragEnter(DragSourceDragEvent e)`
`void` | `dragExit(DragSourceEvent e)`
`void` | `dragGestureRecognized(DragGestureEvent e)`
`void` | `dragOver(DragSourceDragEvent e)`
`void` | `dropActionChanged(DragSourceDragEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListDragSourceListener

    public ListDragSourceListener()

Method Detail

### doCopy

    public abstract void doCopy(JComponent c,
                                int[] indexes,
                                Collection objects)

### doMove

    public abstract void doMove(JComponent c,
                                int[] indexes,
                                Collection objects)

### dragDropEnd

    public void dragDropEnd(DragSourceDropEvent e)

  Specified by:
    `dragDropEnd` in interface `DragSourceListener`

### dragEnter

    public void dragEnter(DragSourceDragEvent e)

  Specified by:
    `dragEnter` in interface `DragSourceListener`

### dragExit

    public void dragExit(DragSourceEvent e)

  Specified by:
    `dragExit` in interface `DragSourceListener`

### dragGestureRecognized

    public void dragGestureRecognized(DragGestureEvent e)

  Specified by:
    `dragGestureRecognized` in interface `DragGestureListener`

### dragOver

    public void dragOver(DragSourceDragEvent e)

  Specified by:
    `dragOver` in interface `DragSourceListener`

### dropActionChanged

    public void dropActionChanged(DragSourceDragEvent e)

  Specified by:
    `dropActionChanged` in interface `DragSourceListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.